__gnu_cxx::_Char_types< _CharT > Struct Template Reference

## Public Types

typedef unsigned long | int_type
typedef std::streamoff | off_type
typedef std::streampos | pos_type
typedef std::mbstate_t | state_type

## Detailed Description

### template<typename _CharT>
struct __gnu_cxx::_Char_types< _CharT >

Mapping from character type to associated types.

Note
  This is an implementation class for the generic version of char_traits. It defines int_type, off_type, pos_type, and state_type. By default these are unsigned long, streamoff, streampos, and mbstate_t. Users who need a different set of types, but who don't need to change the definitions of any function defined in char_traits, can specialize __gnu_cxx::_Char_types while leaving __gnu_cxx::char_traits alone.

Definition at line 58 of file char_traits.h.

The documentation for this struct was generated from the following file:

- char_traits.h